using API.Models.Game;

namespace API.Services.GameManager;

public interface IGameManager
{
    public (string, int) CreateGame(Coordinates gFs, Player player);
    public Task<string?> JoinGame(Player player, int gameCode);
    public Task RequestGameInformation(string gameId, string playerConnectionId);
    public Task Drop(string gameCode, int coordinates, string playerConnectionId);

    public Task DisconnectedPlayer(string playerConnectionId);
}